package com.ruoyi.project.business.service.quotation;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TqSpecificationSurcharge;
import com.ruoyi.project.business.domain.bo.quotation.AdditionFeeAddBO;
import java.util.List;
import com.ruoyi.project.business.domain.TqAdditionalFees;
import com.ruoyi.project.business.domain.dto.TqSpecificationSurchargeDto;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2024-05-16
 */
public interface ITqAdditionalFeesService extends IService<TqAdditionalFees> {

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TqAdditionalFees selectTqAdditionalFeesById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tqAdditionalFees 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TqAdditionalFees> selectTqAdditionalFeesList(TqAdditionalFees tqAdditionalFees);

    /**
     * 新增【请填写功能名称】
     *
     * @param tqAdditionalFees 【请填写功能名称】
     * @return 结果
     */
    public int insertTqAdditionalFees(TqAdditionalFees tqAdditionalFees);

    /**
     * 修改【请填写功能名称】
     *
     * @param tqAdditionalFees 【请填写功能名称】
     * @return 结果
     */
    public int updateTqAdditionalFees(TqAdditionalFees tqAdditionalFees);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTqAdditionalFeesByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTqAdditionalFeesById(Long id);

    List<TqAdditionalFees> listByQuotationId(Long quotationId);

    void batchAdd(AdditionFeeAddBO addBO);

    List<TqSpecificationSurchargeDto> listByQuotationIdNew(Long quotationId);

    void batchAddNew(List<TqSpecificationSurcharge> tqSpecificationSurcharges);
}
